View a markdown version of this page

PutComplianceInquiryFeedback - AWS Artifact

PutComplianceInquiryFeedback

Submits feedback on a compliance inquiry response.

Request Syntax

PUT /v1/compliance-inquiry/putFeedback HTTP/1.1 Content-type: application/json { "clientToken": "string", "comment": "string", "complianceInquiryId": "string", "queryIdentifier": number, "rating": "string", "reasonCodes": [ "string" ], "responseRevisionId": number }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier to ensure that the operation completes no more than one time. If this token matches a previous request, the service ignores the request, but does not return an error.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 128.

Pattern: [\w\-]+

Required: No

comment

An optional comment for the feedback.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 1000.

Pattern: [a-zA-Z0-9\s.,;:!?'\-()/@#&+=]+

Required: No

complianceInquiryId

The unique identifier for the compliance inquiry.

Type: String

Pattern: compliance-inquiry-[a-zA-Z0-9]{16}

Required: Yes

queryIdentifier

The sequential identifier of the query to provide feedback on.

Type: Integer

Required: No

rating

The rating for the feedback. Valid values are THUMBS_UP and THUMBS_DOWN.

Type: String

Valid Values: THUMBS_UP | THUMBS_DOWN

Required: Yes

reasonCodes

The reason codes that describe why you rated the response. Valid values are OTHER, PARTIAL_RESPONSE, and IRRELEVANT_RESPONSE.

Type: Array of strings

Valid Values: OTHER | PARTIAL_RESPONSE | IRRELEVANT_RESPONSE

Required: No

responseRevisionId

The response revision ID. Use this value to prevent submitting feedback on a stale response.

Type: Integer

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "submittedAt": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

submittedAt

The timestamp when the feedback was submitted.

Type: Timestamp

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

User does not have sufficient access to perform this action.

HTTP Status Code: 403

ConflictException

Request to create/modify content would result in a conflict.

resourceId

Identifier of the affected resource.

resourceType

Type of the affected resource.

HTTP Status Code: 409

InternalServerException

An unknown server exception has occurred.

retryAfterSeconds

Number of seconds in which the caller can retry the request.

HTTP Status Code: 500

ResourceNotFoundException

Request references a resource which does not exist.

resourceId

Identifier of the affected resource.

resourceType

Type of the affected resource.

HTTP Status Code: 404

ThrottlingException

Request was denied due to request throttling.

quotaCode

Code for the affected quota.

retryAfterSeconds

Number of seconds in which the caller can retry the request.

serviceCode

Code for the affected service.

HTTP Status Code: 429

ValidationException

Request fails to satisfy the constraints specified by an AWS service.

fieldList

The field that caused the error, if applicable.

reason

Reason the request failed validation.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: